=== debian/changelog ===
ros-humble-rmw-gurumdds-cpp (3.4.0-1jammy) jammy; urgency=high

  * Add maintainer
  * Add null handling
  * Apply loop to take sequence
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 07 Mar 2023 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.3.1-1jammy) jammy; urgency=high

  * Remove sleep from entity creation
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 29 Nov 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.3.0-1jammy) jammy; urgency=high

  * Apply graph cache (#17 <https://github.com/ros2/rmw_gurumdds/issues/17>)
    * graph_cache 0718
    * Add topic name creation
    * graph_cache 0722
    * Sync api
    * add context::finalize()
    * Wrap-up pub and sub
    * fix gid
    * Wrap-up client and service
    * fix segfault
    * Add set on callback empty stub
    * Add content filter topic feature empty stub
    * Change the behavior of take response to a loop
    * Add missing dependency
    * Fix bug and remove unnecessary struct
    * Synk for log
    * Amend log and scope exit for node
    * Apply on_remote_changed callback & fix typo
    * Cleanup log
    * Reposition message handling timing of response
    Co-authored-by: donghee811 <mailto:donghee@gurum.cc>
  * Redefine rmw gurumdds identifier
  * Integrate rmw_gurumdds_shared_cpp into rmw_gurumdds_cpp
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 04 Oct 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.2.2-1jammy) jammy; urgency=high

  * Add missing guid comparison conditional statement
  * Add sequence numbers to message info structure
  * Contributors: Youngjin Yun, donghee811

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 04 Jul 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.2.1-1jammy) jammy; urgency=high

  * Handle null string
  * Fix rclcpp test(test_serialized_message) failure
  * Fix cast style and relative paths for cpplint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Jun 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.2.0-1jammy) jammy; urgency=high

  * Enhanced rpc with sampleinfoex
  * Basic rpc
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.1.6-1jammy) jammy; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Revert raw typesupport patch
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.1.5-1jammy) jammy; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.1.4-1jammy) jammy; urgency=high

  * Use raw typesupport instead of typesupport
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.1.3-1jammy) jammy; urgency=high

  * Add omitted free
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.1.2-1jammy) jammy; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.1.1-1jammy) jammy; urgency=high

  * Add public to qos convert api& fix for uncrustify
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 20 Dec 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.1.0-1jammy) jammy; urgency=high

  * Use convert api for publisher/subscription Qos getters
  * Add client/service Qos getters
  * Remove dds_typesupport from Publisher/Subscriber Info
  * Change the return time when destroying entities
  * Add ommited memory manage code
  * Modify unnecessary code
  * Fix typo
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 24 Nov 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.9-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.8-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.7-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 26 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.6-1jammy) jammy; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.5-1jammy) jammy; urgency=high

  * Update rmw_context_impl_t definition
  * Add rmw_publisher_wait_for_all_acked
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.4-1jammy) jammy; urgency=high

  * Fix unbounded sequence size
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.3-1jammy) jammy; urgency=high

  * Remove datareader listener patch
  * Remove unnecessary operation
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 18 Aug 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.2-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.1-1jammy) jammy; urgency=high

  * Use variable attempt to take the number of times equal to count
  * Check if the queue is empty before using it
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 06 Jul 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-cpp (3.0.0-1jammy) jammy; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 28 Apr 2021 15:00:00 -0000


